Skip to main content
System Global/License
GETLicenseSince 4.1.0SynchronousAuth Required

Get License Records

Get License Records

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • limitInteger

    Maximum number of records to return, similar to MySQL limit. Default value is 20

  • startInteger

    Starting query record position, similar to MySQL offset. Used with limit to implement pagination

  • replyWithCountboolean

    Count query. Specifies whether to return the data record count along with the results. When set to true, the API returns both data records and the total count of records that match the query conditions

  • countboolean

    Count query, equivalent to the count() function in MySQL. When set to true, the API only returns the count of records that match the query conditions

  • sortByString

    Sort by field, equivalent to the sort by keyword in MySQL, for example sortBy=ip. Must be used with sortDirection

Responses

200 OK

On success, this API returns the following response structure.

  • totalLongRequired

    Total license history authorization data count. This value is returned when count or replyWithCount is set to true

  • errorErrorCodeRequired

    The error code. If not null, the operation failed. This field is null when the operation succeeds. See error for details

    • codeStringRequired

      The error code number. A globally unique identifier for the error, for example, SYS.1000, HOST.1001

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      The detailed error information

    • elaborationStringRequired

      Reserved field. Default is null

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null

    • causeErrorCodeRequired

      The root error that caused the current error. If no root error exists, this field is null

  • inventoryLicenseInventoryRequired

    See inventory for details

    • uuidStringRequired

      资源UUID。

    • licenseTypeStringRequired

      No description provided.

    • expiredDateStringRequired

      已过期时间。

    • issuedDateStringRequired

      issued时间。

    • uploadDateStringRequired

      License upload time

    • userStringRequired

      用户信息。

    • prodInfoStringRequired

      License product name

    • hostNumIntegerRequired

      No description provided.

    • cpuNumIntegerRequired

      No description provided.

    • vmNumIntegerRequired

      No description provided.

    • expiredbooleanRequired

      已过期。

    • managementNodeUuidStringRequired

      管理节点UUID。

Endpoint

GET/zstack/v1/licenses/records

/zstack/v1/licenses/records

Operation ID

GetLicenseRecords

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/licenses/records?limit=1&start=1&replyWithCount=True&count=True&sortBy=<sortBy>&sortDirection=<sortDirection>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "user": "example", "hostNum": 10.0, "licenseType": "Free", "issuedDate": "2017-01-19 14:31:06", "managementNodeUuid": "00898b3538e53e70bb7521e54ff80276", "expired": true } ], "total": 1.0 }

Change History

This API has no change history records yet.

View all change history